version: 2

build:
  os: "ubuntu-24.04"
  tools:
    python: "3.7"
  jobs:
    pre_install:
      - pip install mkdocs-material
mkdocs:
  configuration: mkdocs.yml
# Optionally set the version of Python and requirements required to build your docs
python:
  install:
  - requirements: .docs/requirements.txt
formats:
  - epub
  - pdf
search:
  ranking:
    index.md: 9
    installation.md: 10
    subc/*: 7
    tpt/*: 6
    history.md: 4
    license.md: 1
    contribute.md: 2
  ignore:
    - 404.html
